// getserv2.cpp
// program to query getservbyname(), but going through sockutil
// copyright SafeTP Development Group, Inc., 2000  Terms of use are as specified in license.txt

#include "sockutil.h"    // getServByName
#include <stdio.h>       // printf

int main(int argc, char *argv[])
{
  if (argc < 2) {
    printf("usage: %s service-name\n", argv[0]);
    return 0;
  }

  int port = getServByName(argv[1]);
  if (port == 0) {
    printf("service not found\n");
    return 2;
  }
  else {
    printf("%d\n", port);
    return 0;
  }
}
