/*
	Hummingbird Communications Ltd. Inetd interface for Windows NT and
Windows 95, Copyright (c) Hummingbird Communications Ltd. 1990-1996  Terms of use are as specified in license.txt.

Example Code:

int PASCAL
WinMain(HINSTANCE hInst, HINSTANCE hPrevInst, LPSTR lpszCmdLine, int cmdShow) {

SOCKET Sock;
WSADATA wsdata;

	WSAStartup(0x0101, &wadata);	// WSAStartup MUST be called first!
	Sock = InitInetd(lpszCmdLine);  // This must be the command line passed
				        // to the daemon application or argv[1]
					// for console applications.
					// On return lpszCmdLine will have
					// The optional parameters as specified
					// in Inetd.
	if ( Sock == SOCKET_ERROR) {
		MessageBox(NULL,"Must be run from Inetd","Application",MB_OK);
		return(1);
	}
//
// Sock is now the incoming socket and has been set to Non-blocking mode.
//

// Your Program runs here ...

	closesocket(Sock);
	WSACleanup();
	ShutdownInetd();		// Can be called any time after the 
					// incoming socket is closed, either
					// before or after WSACleanup().
					// It MUST be called before the
					// program exits.
	return(1);
}

*/
extern "C" {

SOCKET InitInetd(LPSTR lpszCmdLine);
void ShutdownInetd(void);

  };