// usercfg.h
// user configuration management
// copyright SafeTP Development Group, Inc., 2000  Terms of use are as specified in license.txt

#ifndef __USERCFG_H
#define __USERCFG_H

#include "str.h"      // string

string userConfigDir();
  // client, implementation in usercfg.cpp:
  //   gets environment variable SAFETP_CONFIG, verifies the directories
  //   (creating some as necessary), returns the directory name; name is
  //   like "/tmp/user"
  // server, implementation in sftpd.cpp:
  //   returns "."


#endif // __USERCFG_H

